Skip to main content
GET
/
v3
/
regNo
/
{regNo}
/
id
Get customerId by customer regNo
curl --request GET \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/customer/v3/regNo/{regNo}/id' \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "151077912"
}

Documentation Index

Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt

Use this file to discover all available pages before exploring further.

{
  "id": "151077912"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

regNo
string
required

Identifier to customer you want fetch the id for, for example SSN. Enfuce does not do any validation for this regNo.

Query Parameters

auditUser
string
required

The audit user to log the request

Response

Successful retrieval of customer id

id
string

Unique identifier for customer assigned by Enfuce

Example:

151077912